#ifndef YAJL_ICONV_H
#define YAJL_ICONV_H

#include <iconv.h>
#include <qtqiconv.h>

typedef struct yajl_iconv_s {
   int rCCSID;
   int lCCSID;
   iconv_t r;
   iconv_t l;
} yajl_iconv_t;

#ifdef __cplusplus
   extern "C" {
#endif

yajl_iconv_t * yajl_iconv_init( int rCCSID, int lCCSID );
char * yajl_iconv_dyn( iconv_t ic, const char *inpstr, int inplen, int *outlen );
char *yajl_iconv_toRemote( yajl_iconv_t *res, const char *data );
char *yajl_iconv_toLocal( yajl_iconv_t *res, const char *data );
void yajl_iconv_free( yajl_iconv_t *res );
void yajl_iconv_string_free( char *str );

#ifdef __cplusplus
}
#endif

#endif
